scala.swing.MenuBar

# NoMenuBar

#### object NoMenuBar extends MenuBar with Product with Serializable

Source
  Menu.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, MenuBar, Wrapper, Wrapper, SequentialContainer, Container, Component, UIElement, LazyPublisher, Publisher, Reactor, Proxy, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. NoMenuBar
2. Serializable
3. Serializable
4. Product
5. Equals
6. MenuBar
7. Wrapper
8. Wrapper
9. SequentialContainer
10. Container
11. Component
12. UIElement
13. LazyPublisher
14. Publisher
15. Reactor
16. Proxy
17. AnyRef
18. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Content extends BufferWrapper[Component]

   Attributes
     protected
   Definition Classes
     Wrapper

2. #### trait SuperMixin extends JComponent

   This trait is used to redirect certain calls from the peer to the wrapper and back.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### val _contents: Content

   Attributes
     protected
   Definition Classes
     Wrapper

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def background: Color

   Definition Classes
     UIElement

9. #### def background_=(c: Color): Unit

   Definition Classes
     UIElement

10. #### def border: Border

    Definition Classes
      Component

11. #### def border_=(b: Border): Unit

    Definition Classes
      Component

12. #### def bounds: java.awt.Rectangle

    Definition Classes
      UIElement

13. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ()
    Note

      not specified by SLS as a member of AnyRef

14. #### val contents: Buffer[Component]

    The child components of this container.

    The child components of this container.

    Definition Classes
      Wrapper → Wrapper → SequentialContainer → Container

15. #### def cursor: Cursor

    Definition Classes
      UIElement

16. #### def cursor_=(c: Cursor): Unit

    Definition Classes
      UIElement

17. #### def deafTo(ps: Publisher*): Unit

    Installed reaction won't receive events from the given publisher anylonger.

    Installed reaction won't receive events from the given publisher anylonger.

    Definition Classes
      Reactor

18. #### def displayable: Boolean

    Definition Classes
      UIElement

19. #### def enabled: Boolean

    Definition Classes
      Component

20. #### def enabled_=(b: Boolean): Unit

    Definition Classes
      Component

21. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

22. #### def equals(that: Any): Boolean

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Compares the receiver object (`this`) with the argument object (`that`) for equivalence.

    Any implementation of this method should be an equivalence relation:

    - It is reflexive: for any instance `x` of type `Any`, `x.equals(x)` should return `true`.
    - It is symmetric: for any instances `x` and `y` of type `Any`, `x.equals(y)` should return `true` if and only if `y.equals(x)` returns `true`.
    - It is transitive: for any instances `x`, `y`, and `z` of type `AnyRef` if `x.equals(y)` returns `true` and `y.equals(z)` returns `true`, then `x.equals(z)` should return `true`.

    If you override this method, you should verify that your implementation remains an equivalence relation. Additionally, when overriding this method it is usually necessary to override `hashCode` to ensure that objects which are "equal" (`o1.equals(o2)` returns `true`) hash to the same scala.Int. (`o1.hashCode.equals(o2.hashCode)`).

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Proxy → Any

23. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ()
    Note

      not specified by SLS as a member of AnyRef

24. #### def focusable: Boolean

    Definition Classes
      Component

25. #### def focusable_=(b: Boolean): Unit

    Definition Classes
      Component

26. #### def font: Font

    Definition Classes
      UIElement

27. #### def font_=(f: Font): Unit

    Definition Classes
      UIElement

28. #### def foreground: Color

    Definition Classes
      UIElement

29. #### def foreground_=(c: Color): Unit

    Definition Classes
      UIElement

30. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

31. #### def hasFocus: Boolean

    Definition Classes
      Component

32. #### def hashCode(): Int

    Calculate a hash code value for the object.

    Calculate a hash code value for the object.

    The default hashing algorithm is platform dependent.

    Note that it is allowed for two objects to have identical hash codes (`o1.hashCode.equals(o2.hashCode)`) yet not be equal (`o1.equals(o2)` returns `false`). A degenerate implementation could always return `0`. However, it is required that if two objects are equal (`o1.equals(o2)` returns `true`) that they have identical hash codes (`o1.hashCode.equals(o2.hashCode)`). Therefore, when overriding this method, be sure to verify that the behavior is consistent with the `equals` method.

    returns

      the hash code value for this object.

    Definition Classes
      Proxy → Any

33. #### def ignoreRepaint: Boolean

    Definition Classes
      UIElement

34. #### def ignoreRepaint_=(b: Boolean): Unit

    Definition Classes
      UIElement

35. #### var initP: JComponent

    Definition Classes
      Component

36. #### def inputVerifier: (Component) ⇒ Boolean

    Definition Classes
      Component

37. #### def inputVerifier_=(v: (Component) ⇒ Boolean): Unit

    Definition Classes
      Component

38. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

39. #### object keys extends Publisher

    Definition Classes
      Component

40. #### def listenTo(ps: Publisher*): Unit

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Listen to the given publisher as long as `deafTo` isn't called for them.

    Definition Classes
      Reactor

41. #### val listeners: RefSet[Reaction] { val underlying: scala.collection.mutable.HashSet[scala.ref.Reference[scala.swing.Reactions.Reaction]] }

    Attributes
      protected
    Definition Classes
      Publisher

42. #### def locale: Locale

    Definition Classes
      UIElement

43. #### def location: java.awt.Point

    Definition Classes
      UIElement

44. #### def locationOnScreen: java.awt.Point

    Definition Classes
      UIElement

45. #### def maximumSize: java.awt.Dimension

    Definition Classes
      UIElement

46. #### def maximumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

47. #### def menus: collection.mutable.Seq[Menu]

    Definition Classes
      MenuBar

48. #### def minimumSize: java.awt.Dimension

    Definition Classes
      UIElement

49. #### def minimumSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

50. #### object mouse

    Contains publishers for various mouse events.

51. #### def name: String

    Definition Classes
      Component

52. #### def name_=(s: String): Unit

    Definition Classes
      Component

53. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

54. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

55. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

56. #### def onFirstSubscribe(): Unit

    Attributes
      protected
    Definition Classes
      Component → UIElement → LazyPublisher

57. #### def onLastUnsubscribe(): Unit

    Attributes
      protected
    Definition Classes
      UIElement → LazyPublisher

58. #### def opaque: Boolean

    Definition Classes
      Component

59. #### def opaque_=(b: Boolean): Unit

    Definition Classes
      Component

60. #### def paint(g: Graphics2D): Unit

    Definition Classes
      Component

61. #### def paintBorder(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

62. #### def paintChildren(g: Graphics2D): Unit

    Attributes
      protected
    Definition Classes
      Component

63. #### def paintComponent(g: Graphics2D): Unit

    For custom painting, users should usually override this method.

    For custom painting, users should usually override this method.

    Attributes
      protected
    Definition Classes
      Component

64. #### lazy val peer: JMenuBar

    Definition Classes
      MenuBar → Wrapper → Component → UIElement

65. #### def preferredSize: java.awt.Dimension

    Definition Classes
      UIElement

66. #### def preferredSize_=(x: Dimension): Unit

    Definition Classes
      UIElement

67. #### def publish(e: Event): Unit

    Notify all registered reactions.

    Notify all registered reactions.

    Definition Classes
      Publisher

68. #### val reactions: Reactions

    All reactions of this reactor.

    All reactions of this reactor.

    Definition Classes
      Reactor

69. #### def repaint(rect: Rectangle): Unit

    Definition Classes
      UIElement

70. #### def repaint(): Unit

    Definition Classes
      UIElement

71. #### def requestFocus(): Unit

    Definition Classes
      Component

72. #### def requestFocusInWindow(): Boolean

    Definition Classes
      Component

73. #### def revalidate(): Unit

    Definition Classes
      Component

74. #### def self: java.awt.Component

    Definition Classes
      UIElement → Proxy

75. #### def showing: Boolean

    Definition Classes
      UIElement

76. #### def size: java.awt.Dimension

    Definition Classes
      UIElement

77. #### def subscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

78. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

79. #### def toString(): String

    Returns a string representation of the object.

    Returns a string representation of the object.

    The default representation is platform dependent.

    returns

      a string representation of the object.

    Definition Classes
      Component → Proxy → AnyRef → Any

80. #### def toolkit: Toolkit

    Definition Classes
      UIElement

81. #### def tooltip: String

    Definition Classes
      Component

82. #### def tooltip_=(t: String): Unit

    Definition Classes
      Component

83. #### def unsubscribe(listener: Reaction): Unit

    Definition Classes
      LazyPublisher → Publisher

84. #### def visible: Boolean

    Definition Classes
      UIElement

85. #### def visible_=(b: Boolean): Unit

    Definition Classes
      UIElement

86. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ()

87. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ()

88. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ()

89. #### def xLayoutAlignment: Double

    Used by certain layout managers, e.

    Used by certain layout managers, e.g., BoxLayout or OverlayLayout to align components relative to each other.

    Definition Classes
      Component

90. #### def xLayoutAlignment_=(x: Double): Unit

    Definition Classes
      Component

91. #### def yLayoutAlignment: Double

    Definition Classes
      Component

92. #### def yLayoutAlignment_=(y: Double): Unit

    Definition Classes
      Component

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from MenuBar

### Inherited from Wrapper

### Inherited from SequentialContainer

### Inherited from Container

### Inherited from Component

### Inherited from UIElement

### Inherited from LazyPublisher

### Inherited from Publisher

### Inherited from Reactor

### Inherited from Proxy

### Inherited from AnyRef

### Inherited from Any

### Ungrouped